OVH Community, votre nouvel espace communautaire.

Echec de mise à jour de Release 3 : "this update is not for your Systemversion"


bbr
03/11/2015, 06h26
Une solution si tu veux un panel où tu ne seras pas dépaysé par rapport à la R3 : installe Debian + virtualmin, cela te prendra disons maxi 2h (en général il me faut moins d'une heure), ensuite les mises à jour se font en 1 clic sur le panel ou en ssh avec un apt-get update && apt-get-upgrade
Tu as des tutos complets ici : http://www.how-to.ovh/viewforum.php?f=2

SBA
02/11/2015, 20h46
Bah repartir sur une install manuelle + gérer moi-même la distribution, ce sera tout autant de travail. J'ai passé bien plus de temps à suer sur mon vieux Kimsufi configuré moi-même que sur la Release 3. Bon par contre faut bien reconnaître que je vais pas pouvoir tenir des années non plus s'ils persistent à ne pas mettre PHP à jour.

bbr
02/11/2015, 20h26
donc faut t'en débrouiller, on ne peut pas grand chose pour toi, réfléchis tout de même au temps que tu perds là-dessus et aux risques de tout perdre par rapport à réinstaller avec quelque chose de stable, fiable et connu.
Bon courage...

SBA
02/11/2015, 20h14
Haha c'est le conseil qui revient le plus souvent. Mais malgré ces problèmes, j'ai une flemme incroyable de revenir à une installation manuelle sur serveur nu donc pour l'instant...

bbr
02/11/2015, 17h42
t'es loin d'être le seul à être coincé par une mise à jour, le seul vrai remède : abandonner cette distribution ^^

SBA
29/10/2015, 13h03
Merci. Je vais quand même continuer à chercher une autre solution qu'une réinstallation que je ne peux guère me permettre en ce moment.

Nowwhat
29/10/2015, 08h27
Pour info : https://forum.ovh.com/showthread.php...e-3-34-en-3-36

SBA
28/10/2015, 15h11
Citation Envoyé par bbr
Tu as 2 liens sur l'accueil de webmin pour mettre à jour à la fois la distribution et la release, mais tu devrais mettre webmin à jour aussi
Hello, je t'avais répondu mais mon post a mystérieusement été effacé, alors je répète

J'ai bien vu les 2 liens dont tu parles :
- mes paquets sont à jour (màj automatique) ;
- quand j'essaie d'installer la màj de la Release 3 dans Webmin, j'obtiens le message d'erreur suivant, m'invitant à le faire en SSH :
found OVH-Release 3
Your current version : 3.32, latest version is : 3.36
You have to update your version using 'sh /root/patch-all-release-3.sh'

SBA
28/10/2015, 13h09
Citation Envoyé par Nowwhat
Analyse

T'as vu cet URL ftp://ftp.ovh.net/made-in-ovh/release/ ? (sans le fichier "patch-all-release-3.sh")

Copie-colle le dans ton navigateur et observe
Donc théoriquement, je devrais être bon si j'exécute dans l'ordre :
Code:
wget ftp://ftp.ovh.net/made-in-ovh/release/patch-3.32-3.33.sh && sh patch-3.32-3.33.sh
puis :
Code:
wget ftp://ftp.ovh.net/made-in-ovh/release/patch-3.33-3.34.sh && sh patch-3.33-3.34.sh
puis :
Code:
wget ftp://ftp.ovh.net/made-in-ovh/release/patch-3.34-3.35.sh && sh patch-3.34-3.35.sh
et enfin :
Code:
wget ftp://ftp.ovh.net/made-in-ovh/release/patch-3.35-3.36.sh && sh patch-3.35-3.36.sh
Tu valides ? Merci encore !

EDIT : j'ai essayé d'updater version par version et j'ai toujours la même erreur...

SBA
28/10/2015, 13h05
Citation Envoyé par bbr
Tu as 2 liens sur l'accueil de webmin pour mettre à jour à la fois la distribution et la release, mais tu devrais mettre webmin à jour aussi
Oui, concernant ces 2 liens :
- mes paquets sont tous à jour ;
- quand je clique sur mettre à jour la Release 3 depuis l'accueil de Webmin, il m'affiche ensuite un message d'erreur me disant de faire la màj par SSH.

EDIT : voici le message d'erreur que m'affiche Webmin quand j'essaie de mettre ma release à jour :
found OVH-Release 3
Your current version : 3.32, latest version is : 3.36
You have to update your version using 'sh /root/patch-all-release-3.sh'
Sauf que la commande n'a pas l'air d'être exactement la même que celle recommandée par le guide OVH. Cette-dernière n'inclut pas "/root/". Dois-je donc essayer en ajoutant ça ?

bbr
28/10/2015, 13h02
Tu as 2 liens sur l'accueil de webmin pour mettre à jour à la fois la distribution et la release, mais tu devrais mettre webmin à jour aussi

Nowwhat
28/10/2015, 09h28
Citation Envoyé par SBA
....
Du coup, est-ce qu'il existe une fonction me permettant de mettre à jour version par version (3.33 puis 3.34 puis 3.35, etc.) ? Cela permettrait peut-être de contourner le problème.
Analyse
wget ftp://ftp.ovh.net/made-in-ovh/releas...l-release-3.sh && sh patch-all-release-3.sh
T'as vu cet URL ftp://ftp.ovh.net/made-in-ovh/release/ ? (sans le fichier "patch-all-release-3.sh")

Copie-colle le dans ton navigateur et observe

SBA
27/10/2015, 23h50
Merci de ta réponse.

J'ai laissé passer les màj car je croyais qu'elles étaient automatiques, comme celles des Software Packages.

Du coup, est-ce qu'il existe une fonction me permettant de mettre à jour version par version (3.33 puis 3.34 puis 3.35, etc.) ? Cela permettrait peut-être de contourner le problème.

Nowwhat
27/10/2015, 22h35
'Soir.

Normalement, dès que les gens parte dans le couloir qui indique
this update is not for your Systemversion !
ils ne reviennent pas.
(et ceux qui sont revenus, ne veulent pas en parler)

Cherche sur ce forum "this update is not for your Systemversion" (lié avec le Rx) et tu sauras que ce R3 est bien trop compliqué.
Bien attendu, un doc qui va t’expliquer comment manuellement comment s'en sortir, ça n'existe pas (il suffit de sortir l'arme lourd comme Google - et quand lui n'est pas au courant, il n'y qu'une chose raisonnable à faire : fuir).


Deux question : pourquoi avoir sauté des mise à jour ? Quand un mise à jour est disponible, il faut l'appliquer rapidement - surtout avec la série Rx.
Webmin me semble aussi très vieux. On est entre temps à la version 1.770.

Désolé, j'aimerai bien dire quelque chose de positif comme par exemple:
.... Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD ....
qui me dit que le téléchargement ne c'est pas bien déroulé, mais j'ai une doute que c'est ça.

SBA
27/10/2015, 20h42
Bonjour,

Mon serveur tourne sous Release 3, version 3.32 et j'essaie d'upgrader vers la version 3.36. J'ai donc exécuté la commande suivante par SSH :
Code:
wget ftp://ftp.ovh.net/made-in-ovh/release/patch-all-release-3.sh && sh patch-all-release-3.sh
et j'ai obtenu le message d'erreur suivant :

Code:
--2015-10-27 22:06:53--  ftp://ftp.ovh.net/made-in-ovh/release/patch-all-release-3.sh
           => «patch-all-release-3.sh.1»
Résolution de ftp.ovh.net... 213.186.33.9
Connexion vers ftp.ovh.net|213.186.33.9|:21...connecté.
Ouverture de session en anonymous...Session établie!
==> SYST ... complété.    ==> PWD ... complété.
==> TYPE I ... complété.  ==> CWD (1) /made-in-ovh/release ... complété.
==> SIZE patch-all-release-3.sh ... 1974
==> PASV ... complété.    ==> RETR patch-all-release-3.sh ... complété.
Longueur: 1974 (1,9K) (non certifiée)

100%[======================================>] 1 974       --.-K/s   ds 0s      

2015-10-27 22:06:54 (340 MB/s) - «patch-all-release-3.sh.1» sauvegardé [1974]

... found OVH-Release 3
we do update OVH-Release3
erreur: rpmdbNextIterator: on saute h#     769 Entête V3 RSA/SHA1 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     514 Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     259 Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#       4 Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     518 Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     263 Entête V3 RSA/SHA256 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     777 Entête V3 RSA/SHA1 Signature, key ID c105b9de: BAD
erreur: rpmdbNextIterator: on saute h#     522 Entête V3 RSA/SHA256 Signature, key ID 0608b895: BAD
(...)
+-------------------------------------------------------------------+
Sorry ... this update is not for your Systemversion !
+-------------------------------------------------------------------+
Quelqu'un sait-il à quoi c'est dû ?

Merci beaucoup !

P.-S. Je précise à toutes fins utiles ma config' :
- Système d'exploitation : CentOS Linux 6.5
- Version de Webmin : 1.680